# Changelog for horizon-gen-nix

## 0.6

* Support horizon-spec 0.6
* Compiler flag now correctly preprocesses cabal files.

## v0.5

* Support horizon-spec 0.5
* Settings `includeBenchmarks` and `includeTests` to false will remove the dependencies from the inputs for that package expression.

## v0.4.0

* Support horizon-spec 0.4.1

## v0.3.1

* Remove broken --force flag.

## v0.3.0

* Support horizon-spec-0.3.0
* Allow for building from local packages and tarballs.

## v0.2

* Support horizon-spec-0.2
* horizon-gen-nix now supports two modes with several command line options.
  * Running in `make-package-set`mode will by default create a file called `inital-packages.nix` suitable for use with the `makePackageSet` function from nixpkgs.
  * Running in `overlay` mode will by default create a file called `overlay.nix` containing an overlay suitable for use with `haskell.packages.${compiler}.override`.

## v0.1

* Support horizon-spec-0.1

## v0.0.0.1

* Generate nix expressions for haskell packages from a dhall manifest.
